summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-pascal
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/lang-pascal')
-rwxr-xr-xgettext-tools/tests/lang-pascal10
1 files changed, 9 insertions, 1 deletions
diff --git a/gettext-tools/tests/lang-pascal b/gettext-tools/tests/lang-pascal
index 46cb24a..4c58581 100755
--- a/gettext-tools/tests/lang-pascal
+++ b/gettext-tools/tests/lang-pascal
@@ -30,7 +30,10 @@ end.
EOF
tmpfiles="$tmpfiles prog.o prog.rst prog"
-(ppc386 prog.pp) >/dev/null 2>&1 || { rm -fr $tmpfiles; exit 77; }
+(ppc386 prog.pp) >/dev/null 2>&1 || {
+ echo "Skipping test: ppc386 compiler not found"
+ rm -fr $tmpfiles; exit 77
+}
tmpfiles="$tmpfiles prog.pot"
: ${XGETTEXT=xgettext}
@@ -105,6 +108,11 @@ if test $LOCALE_FR_UTF8 != none; then
${DIFF} prog.oku prog.out || exit 1
fi
if test $LOCALE_FR = none && test $LOCALE_FR_UTF8 = none; then
+ if test -f /usr/bin/localedef; then
+ echo "Skipping test: no french locale is installed"
+ else
+ echo "Skipping test: no french locale is supported"
+ fi
rm -fr $tmpfiles; exit 77
fi